	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "graph7")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_y_min", 25.00)
	call psetr("subpage_x_min", -50.00)
	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_x_max", 50.00)
	call psetr("subpage_y_position", 2.00)
	call psetr("subpage_y_max", 75.00)
	call psetc("subpage_x_axis_type", "regular")
	call psetc("subpage_y_axis_type", "regular")

	call psetr("axis_tick_label_height", 0.40)
	call psetc("axis_orientation", "vertical")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_tick_label_colour", "navy")
	call psetc("axis_type", "regular")
	call psetc("axis_grid", "on")
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call psetr("axis_tick_label_height", 0.40)
	call psetc("axis_orientation", "horizontal")
	call psetc("axis_grid_line_style", "dot")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_type", "regular")
	call psetc("axis_grid_colour", "grey")
	call psetc("axis_grid", "on")
	call paxis

	call pset1r("input_x_values", (/-25.00, 0.00, 25.00/), 3)
	call pset1r("input_y_component_values", (/20.00, -20.00, 20.00/), 3)
	call pset1r("input_x_component_values", (/20.00, 20.00, -20.00/), 3)
	call pset1r("input_y_values", (/50.00, 35.00, 60.00/), 3)
	call pinput

	call psetc("graph_type", "arrow")
	call psetc("graph_arrow_colour", "evergreen")
	call psetc("legend", "on")
	call psetr("graph_arrow_unit_velocity", 10.00)
	call psetc("legend_user_text", "<font colour='evergreen' size='0.5'> Arrows </font>")
	call pgraph

	call pset1c("text_lines", (/"Plotting Arrows ..."/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
